Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.heuristic.selector.move.decorator
Class SortingMoveSelector

    java.lang.Object
      org.optaplanner.core.impl.heuristic.selector.AbstractSelector
          org.optaplanner.core.impl.heuristic.selector.move.AbstractMoveSelector
              org.optaplanner.core.impl.heuristic.selector.move.decorator.AbstractCachingMoveSelector
                  org.optaplanner.core.impl.heuristic.selector.move.decorator.SortingMoveSelector

All Implemented Interfaces:
  Iterable<Move>, EventListener, SelectionCacheLifecycleListener, IterableSelector<Move>, MoveSelector, Selector, SolverPhaseLifecycleListener, SolverLifecycleListener

    public class SortingMoveSelector

extends AbstractCachingMoveSelector

Field Summary
`protected SelectionSorter` | `sorter`

Fields inherited from class org.optaplanner.core.impl.heuristic.selector.move.decorator.AbstractCachingMoveSelector
`cachedMoveList, cacheType, childMoveSelector`

Fields inherited from class org.optaplanner.core.impl.heuristic.selector.AbstractSelector
`logger, solverPhaseLifecycleSupport, workingRandom`

Constructor Summary
`SortingMoveSelector(MoveSelector childMoveSelector, SelectionCacheType cacheType, SelectionSorter sorter)`

Method Summary
`void` | `constructCache(DefaultSolverScope solverScope)`
`boolean` | `isNeverEnding()` Is true if `Selector.isCountable()` is false or if this selector is in random order (for most cases).
`Iterator<Move>` | `iterator()`
`String` | `toString()`

Methods inherited from class org.optaplanner.core.impl.heuristic.selector.move.decorator.AbstractCachingMoveSelector
`disposeCache, getCacheType, getChildMoveSelector, getSize, isCountable`

Methods inherited from class org.optaplanner.core.impl.heuristic.selector.AbstractSelector
`phaseEnded, phaseStarted, solvingEnded, solvingStarted, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.phase.event.SolverPhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Field Detail

### sorter

    protected final SelectionSorter sorter

Constructor Detail

### SortingMoveSelector

    public SortingMoveSelector(MoveSelector childMoveSelector,
                               SelectionCacheType cacheType,
                               SelectionSorter sorter)

Method Detail

### constructCache

    public void constructCache(DefaultSolverScope solverScope)

  Specified by:
    `constructCache` in interface `SelectionCacheLifecycleListener`
  Overrides:
    `constructCache` in class `AbstractCachingMoveSelector`

### isNeverEnding

    public boolean isNeverEnding()

  Description copied from interface: `Selector`
  Is true if `Selector.isCountable()` is false or if this selector is in random order (for most cases). Is never true when this selector is in shuffled order (which is less scalable but more exact).

  Returns:
    true if the `Iterator.hasNext()` of the `Iterator` created by `Iterable.iterator()` never returns false (except when it's empty).

### iterator

    public Iterator<Move> iterator()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.